Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
TransactionConfig..::.Name Property
TransactionConfig Class See Also Send Feedback

The transaction's name. The name is returned by TransactionSystemStats()()() and displayed by PrintTransactionSystemStats()()().

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public string Name { get; set; }

Visual Basic (Declaration)
    Public Property Name As String

Visual C++
    public:
    property String^ Name {
    	String^ get ();
    	void set (String^ value);
    }

# Remarks

If the database environment has been configured for logging and the Berkeley DB library was built in Debug mode (or with DIAGNOSTIC defined), a debugging log record is written including the transaction ID and the name.

# See Also

TransactionConfig Class
BerkeleyDB Namespace